# $Revision: 1.41 $, $Date: 2003/09/11 01:13:18 $
%include        /usr/lib/rpm/macros.perl
Summary:	Squid and NetCache log parser and report generator
Summary(pl):	Generator raportw dla Squida i NetCache
Name:		calamaris
Version:	2.58
Release:	2
License:	GPL
Group:		Networking/Utilities
Source0:	http://Cord.de/tools/squid/calamaris/%{name}-%{version}.tar.gz
# Source0-md5:	96383551b2e2aee188a221ef141167ce
Source1:	%{name}.crontab
Source2:	%{name}.sysconfig
Source3:	%{name}-croniface
Requires:	/bin/zcat
Requires:	/etc/cron.d
Requires:	crontabs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Calamaris is statistical info generator for Squid and NetCache based
on log parsing. It can create both plain-text and HTML reports. A
must-have for Squid/NetCache administrators.

%description -l pl
Calamaris generuje informacje statystyczne o pracy Squida i NetCache w
oparciu o ich logi. Potrafi tworzy raporty w postaci czystego tekstu
jak i HTML. Niezbdny dla administratorw Squida i NetCache.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,sysconfig},%{_bindir},%{_sbindir},%{_mandir}/man1}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/calamaris
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/calamaris
install %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}
install calamaris $RPM_BUILD_ROOT%{_bindir}
install calamaris.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES EXAMPLES README
%attr(750,root,root) %config(noreplace) /etc/cron.d/calamaris
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/calamaris
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: calamaris.spec,v $
Revision 1.41  2003/09/11 01:13:18  undefine
- release 2 to rebuild with fixed calamaris-croniface

Revision 1.40  2003/09/10 19:08:16  blues
- cosmetics

Revision 1.39  2003/08/06 16:39:56  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.38  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.37  2003/05/25 05:46:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/05/16 10:04:30  undefine
- update to 2.58

Revision 1.35  2003/02/10 21:27:32  undefine
- update to 2.57

Revision 1.34  2003/02/04 19:52:35  undefine
- updated to 2.56 stbr ra-updates-general

Revision 1.33  2002/08/29 09:25:15  blues
- 2.52 - STBR

Revision 1.32  2002/08/05 21:02:15  kloczek
- updated to 2.51: bugfixes.

Revision 1.31  2002/07/05 07:27:44  kloczek
- updated to 2.50 (bug fix reelase; fixes for ipv6 handling).

Revision 1.30  2002/06/19 12:32:15  marcus
- rel.1. to sync ppc and ix86

Revision 1.29  2002/06/05 21:35:11  areq
- 2.49, STBR

Revision 1.28  2002/04/25 15:56:54  arturs
fixed a small typo

Revision 1.27  2002/04/14 13:34:30  migo
- %include /usr/lib/rpm/macros.perl to autogenerate perl dependencies
- release 3

Revision 1.26  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/05 22:59:20  alchemyx
- s/prefix/suffix

Revision 1.24  2002/02/05 22:43:46  alchemyx
- added ".gz" suffix to /var/log/archiv/squid/acces.log.1 (it is gzipped file)
- release 2, STB

Revision 1.23  2002/01/26 07:23:24  kloczek
- updated to 2.45 (few enhanctments but mostly bugfixes).

Revision 1.22  2002/01/18 02:12:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/10/26 17:04:25  grzegorz
- reverting last changes

Revision 1.20  2001/10/26 16:47:49  grzegorz
- added Requires: squid
- release 3

Revision 1.19  2001/10/13 02:47:16  kloczek
- release 2.

Revision 1.18  2001/10/12 11:11:57  blues
- added config(noreplace) to cron script

Revision 1.17  2001/09/24 10:09:43  qboosh
- removed Prereq for chkconfig - not used

Revision 1.16  2001/08/15 20:56:47  kloczek
- updated to 2.42.

Revision 1.15  2001/02/16 00:48:14  kloczek
- cosmetics.

Revision 1.14  2001/02/14 20:08:02  raven
- updated to 2.40

Revision 1.13  2000/10/12 18:51:17  kloczek
- removed COPYRIGHT from %doc (clear copyright statment is in License
  field),
- modyfication for use new rpm automation.

Revision 1.12  2000/10/12 18:37:35  areq
- updated to 2.39

Revision 1.11  2000/09/18 19:49:21  areq
- updated to 2.37

Revision 1.10  2000/09/18 09:15:52  kloczek
- adapterized.

Revision 1.9  2000/09/16 17:46:29  areq
- updated to 2.35.

Revision 1.8  2000/09/02 23:58:22  mkochano
- Release 2.
- Rebuild with updated configuration file and crond interface script.

Revision 1.7  2000/08/10 10:37:40  kloczek
- updated to 2.33.

Revision 1.6  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.3  2000/03/27 01:28:21  kloczek
- permission on binaries changed to 755.

Revision 1.2  2000/03/27 01:27:06  kloczek
- spec adaprerized.

Revision 1.1  2000/03/24 15:15:28  mkochano
- Spec for Calamaris, Squid/NetCache statistics generator. Should work. BTW,
  this spec is ready for almost one week, but I forgot to do 'cvs add'... I'm
  great ;(
